osl::RatingEnv Class Reference

`#include <ratingEnv.h>`

## Public Member Functions

void | update (const NumEffectState &new_state, Move last_move)
void | make (const NumEffectState &new_state)
void | make (const NumEffectState &new_state, const PieceMask &my_pin, const PieceMask &op_pin, Progress16)

## Public Attributes

MoveStack | history
Square8 | sendoffs
PieceMask | my_pin
PieceMask | op_pin
int | attack_count_for_turn
Progress16 | progress
CArray< signed char, Square::SIZE > | counteffect2_cache
CArray< int, Square::SIZE > | pattern_cache

## Detailed Description

Definition at line 15 of file ratingEnv.h.

## Member Function Documentation

## make() [1/2]

void osl::rating::RatingEnv::make | ( | const NumEffectState & | new_state | ) |

Definition at line 31 of file ratingEnv.cc.

## make() [2/2]

void osl::rating::RatingEnv::make | ( | const NumEffectState & | new_state,
|  | const PieceMask & | my_pin,
|  | const PieceMask & | op_pin,
|  | Progress16 | progress )

Definition at line 15 of file ratingEnv.cc.

## update()

void osl::rating::RatingEnv::update | ( | const NumEffectState & | new_state,
|  | Move | last_move )

Definition at line 8 of file ratingEnv.cc.

## Member Data Documentation

## attack_count_for_turn

int osl::rating::RatingEnv::attack_count_for_turn

Definition at line 21 of file ratingEnv.h.

## counteffect2_cache

CArray<signed char,Square::SIZE> osl::rating::RatingEnv::counteffect2_cache

mutable

Definition at line 23 of file ratingEnv.h.

## history

MoveStack osl::rating::RatingEnv::history

Definition at line 18 of file ratingEnv.h.

## my_pin

PieceMask osl::rating::RatingEnv::my_pin

Definition at line 20 of file ratingEnv.h.

## op_pin

PieceMask osl::rating::RatingEnv::op_pin

Definition at line 20 of file ratingEnv.h.

## pattern_cache

CArray<int,Square::SIZE> osl::rating::RatingEnv::pattern_cache

mutable

Definition at line 24 of file ratingEnv.h.

## progress

Progress16 osl::rating::RatingEnv::progress

Definition at line 22 of file ratingEnv.h.

## sendoffs

Square8 osl::rating::RatingEnv::sendoffs

Definition at line 19 of file ratingEnv.h.

The documentation for this class was generated from the following files:

- ratingEnv.h
- ratingEnv.cc